> ## Documentation Index
> Fetch the complete documentation index at: https://lingox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new user



## OpenAPI

````yaml api-reference/openapi.json post /auth/signup
openapi: 3.0.0
info:
  title: Translator API
  description: The Translator API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /auth/signup:
    post:
      tags:
        - Auth
      summary: Register a new user
      operationId: AuthController_signUp
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignUpDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    SignUpDto:
      type: object
      properties:
        email:
          type: string
        password:
          type: string
      required:
        - email
        - password

````